Resource

Alert User Owner

Add users as owners to your alerts.

The Alert User Owner Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User that is the owner. This user will receive notifications.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of your User in which this object belongs

  • Name
    alert
    Type
    Alert
    Description

    Relation to Alert Resource in which this object belongs

  • Name
    alertId
    Type
    Object IDRequired
    Description

    ID of your Alert in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isOwnerNotified
    Type
    BooleanRequired
    Description

    Are owners notified of this resource ownership?

GETorPOST/api/alert-owner-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert User Owner. By default, a maximum of ten Alert User Owner are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-owner-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "userId": true,
    "alert": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376d4bf0-28fe-11f1-b591-3fdcef396aba",
      "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "isOwnerNotified": false,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
      "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "376d4bf1-28fe-11f1-b591-3fdcef396aba",
      "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "isOwnerNotified": false,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
      "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "376d4bf2-28fe-11f1-b591-3fdcef396aba",
      "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "isOwnerNotified": false,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
      "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    }
  ]
}
GETorPOST/api/alert-owner-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert User Owner by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-owner-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "userId": true,
    "alert": true
  }
}

Response

{
  "_id": "376d4bf0-28fe-11f1-b591-3fdcef396aba",
  "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "isOwnerNotified": false,
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
  "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
POST/api/alert-owner-user/count

Count

This endpoint allows you to retrieve the count of all your Alert User Owner.

Optional Request Body

Count Request

POST
/api/alert-owner-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/alert-owner-user

Create Alert User Owner

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-owner-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "isOwnerNotified": false,
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
    "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
  }
}

Response

{
  "_id": "376d4bf0-28fe-11f1-b591-3fdcef396aba",
  "alertId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "isOwnerNotified": false,
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "e5f6a7b8-c9d0-1234-efab-345678901234",
  "alert": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
PUT/api/alert-owner-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-owner-user/:id/update-item
GET/api/alert-owner-user/:id/update-item

Update Request

PUT
/api/alert-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/alert-owner-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-owner-user/:id/delete-item
GET/api/alert-owner-user/:id/delete-item

Delete Request

DELETE
/api/alert-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert User Owner
  • Read All Project Resources

Create Permissions

Required to create Alert User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert User Owner

Update Permissions

Required to update Alert User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert User Owner

Delete Permissions

Required to delete Alert User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert User Owner